<!DOCTYPE html>
<html lang="pl">
<head>
    <script src="./jquery_3.6.0.js"></script>
    <script>
        $(document).ready(function() {
            const giphy = {
                baseURL: "https://api.giphy.com/v1/gifs/",
                apiKey: "0UTRbFtkMxAplrohufYco5IY74U8hOes",
                type: "translate"
            };
            const giphyWashConfig = {
                ...giphy,
                query: "bathtime"
            }
            const giphySleepConfig = {
                ...giphy,
                query: "sleeping puppy"
            }
            let giphyURL = (giphyConfig) => encodeURI(
                giphyConfig.baseURL +
                giphyConfig.type +
                "?api_key=" +
                giphyConfig.apiKey +
                "&s=" +
                giphyConfig.query
            );

            const gif = $("#gif");
            const renderGif = giphyData => {
                gif.attr("src",  giphyData.images.downsized.url);
            };
            const newGif = (giphyConfig) => $.getJSON(giphyURL(giphyConfig), json => renderGif(json.data));

            const daySince2000 = () => {
                const now = new Date();
                const start = new Date(2000, 0, 0);
                const diff = now - start;
                const oneDay = 1000 * 60 * 60 * 24;
                return Math.floor(diff / oneDay);
            };

            const textHeader = $("#textHeader");
            const parentDiv = $("#parentDiv");
            if (daySince2000() % 2 === 0) {
                textHeader.text("Kąpanko :(");
                parentDiv.addClass("failure");
                newGif(giphyWashConfig);
            } else {
                textHeader.text("Spanko!!!");
                parentDiv.addClass("success");
                newGif(giphySleepConfig);
            }
        });
    </script>
    <style>
        .center {
            padding: 20px;
            text-align: center;
            font-family: Arial, Helvetica, sans-serif;
        }
        .failure{
            border: 3px solid palevioletred;
            background: pink;
        }
        .success {
            border: 3px solid green;
            background: palegreen;
        }
    </style>
    <title>Spanko czy kąpanko?</title>
</head>
<body>
<div id="parentDiv" class="center">
    <h1 id="textHeader"></h1>
    <img id="gif" src="placeholder"/>
</div>
</body>
</html>
